/*

 ######  #    #  #    #     #    #####    ####   #    #          #    #
 #       ##   #  #    #     #    #    #  #    #  ##   #          #    #
 #####   # #  #  #    #     #    #    #  #    #  # #  #          ######
 #       #  # #  #    #     #    #####   #    #  #  # #   ###    #    #
 #       #   ##   #  #      #    #   #   #    #  #   ##   ###    #    #
 ######  #    #    ##       #    #    #   ####   #    #   ###    #    #

	Declarations for envrironment routines.
*/

/*
 * $Id: environ.h,v 2.9 92/07/14 16:48:06 ram Exp $
 *
 *  Copyright (c) 1992, Raphael Manfredi
 *
 *  You may redistribute only under the terms of the GNU General Public
 *  Licence as specified in the README file that comes with dist.
 *
 * $Log:	environ.h,v $
 * Revision 2.9  92/07/14  16:48:06  ram
 * 3.0 beta baseline.
 * 
 */

#ifndef _environ_h_
#define _environ_h_

extern void print_env();			/* Print the environment */
extern void init_env();				/* Initializes the environment table */
extern char **make_env();			/* Make a new system environment */
extern int append_env();			/* Append value to environment */
extern int prepend_env();			/* Prepend value to environment */
extern int set_env();				/* Set environment value */

#endif
