/*

 #        ####    ####   #    #          #    #
 #       #    #  #    #  #   #           #    #
 #       #    #  #       ####            ######
 #       #    #  #       #  #     ###    #    #
 #       #    #  #    #  #   #    ###    #    #
 ######   ####    ####   #    #   ###    #    #

	Declarations for locking routines.
*/

/*
 * $Id: lock.h,v 2.9 92/07/14 16:48:20 ram Exp $
 *
 *  Copyright (c) 1992, Raphael Manfredi
 *
 *  You may redistribute only under the terms of the GNU General Public
 *  Licence as specified in the README file that comes with dist.
 *
 * $Log:	lock.h,v $
 * Revision 2.9  92/07/14  16:48:20  ram
 * 3.0 beta baseline.
 * 
 */

#ifndef _lock_h_
#define _lock_h_

extern int filter_lock();		/* Lock filter */
extern void release_lock();		/* Release lock if necessary */
extern int is_locked();			/* Do we have a lock file? */

#endif
