# This tests mathching on list selectors like To or Newsgroups.
do '../pl/filter.pl';

&add_header('X-Tag: list');
`$cmd`;
$? == 0 || print "1\n";
-f "$user.1" || print "2\n";
unlink "$user.1";

&replace_header('To: uunet!eiffel.com!max, other@max.com');
`$cmd`;
$? == 0 || print "3\n";
-f "$user.2" || print "4\n";
unlink "$user.2";

&replace_header('To: root@eiffel.com (Super User), max <other@max.com>');
`$cmd`;
$? == 0 || print "5\n";
-f "$user.3" || print "6\n";
unlink "$user.3";

# Following is illeaal in RFC-822: should be "root@eiffel.com" <maxime>
&replace_header('To: riot@eiffel.com (Riot Manager), root@eiffel.com <maxime>');
`$cmd`;
$? == 0 || print "7\n";
-f "$user.4" || print "8\n";
unlink "$user.4";

&replace_header('To: other, me, riotintin@eiffel.com, and, so, on');
`$cmd`;
$? == 0 || print "9\n";
-f "$user.5" || print "10\n";
unlink "$user.5";

&replace_header('To: other, me, chariot@eiffel.com, and, so, on');
`$cmd`;
$? == 0 || print "11\n";
-f "$user.6" || print "12\n";
unlink "$user.6";

&replace_header('To: other, me, abricot@eiffel.com, and, so, on');
&add_header('Newsgroups: comp.lang.perl, news.groups, news.lists');
`$cmd`;
$? == 0 || print "13\n";
-f "$user.7" || print "14\n";
unlink "$user.7";

unlink 'mail';
print "0\n";
