/*

 #        ####    ####   ######     #    #       ######          #    #
 #       #    #  #    #  #          #    #       #               #    #
 #       #    #  #       #####      #    #       #####           ######
 #       #    #  #  ###  #          #    #       #        ###    #    #
 #       #    #  #    #  #          #    #       #        ###    #    #
 ######   ####    ####   #          #    ######  ######   ###    #    #

	Declarations for logging.
*/

/*
 * $Id: logfile.h,v 2.9 92/07/14 16:48:25 ram Exp $
 *
 *  Copyright (c) 1992, Raphael Manfredi
 *
 *  You may redistribute only under the terms of the GNU General Public
 *  Licence as specified in the README file that comes with dist.
 *
 * $Log:	logfile.h,v $
 * Revision 2.9  92/07/14  16:48:25  ram
 * 3.0 beta baseline.
 * 
 */

#ifndef _logfile_h_
#define _logfile_h_

#include "config.h"

/* Routine defined by logging package */
extern void add_log();			/* Add logging message */
extern int open_log();			/* Open logging file */
extern void close_log();		/* Close logging file */
extern void set_loglvl();		/* Set logging level */

/* The following need to be set externally but are defined here */
extern char *progname;			/* Program name */
extern Pid_t progpid;			/* Program PID */

#endif

