;# $Id: free_file.pl,v 2.9 92/07/14 16:50:00 ram Exp $
;#
;#  Copyright (c) 1991, Raphael Manfredi
;#
;#  You may redistribute only under the terms of the GNU General Public
;#  Licence as specified in the README file that comes with dist.
;#
;# $Log:	free_file.pl,v $
;# Revision 2.9  92/07/14  16:50:00  ram
;# 3.0 beta baseline.
;# 
;#
# Remove the lock on a file. Returns 0 if ok, -1 otherwise
sub free_file {
	local($file) = @_;

	if ( -f "$file.lock") {
		# if lock exists, check for pid
		open(FILE, "$file.lock");
		$_ = <FILE>;
		close FILE;
		if (int($_) == $$) {
			# pid is correct
			$result = 0;
			unlink "$file.lock";
		} else {
			# pid is not correct
			$result = -1;
		}
	} else {
		# no lock file
		$result = 0;
	}
	$result;	# return status
}

