# Test KEEP command
do '../pl/cmd.pl';
unlink 'ok', 'no_resync';

&add_header('X-Tag: keep');
&add_header('X-Long-Line: this is a long line and has a continuation');
&add_header('  right below it with a MARK token');
&add_header('  and another with the MARK token');
&add_header('X-Removed-Line: this is a long line and has a continuation');
&add_header('  right below it with another mark TOKEN');
&add_header('  and another with the mark TOKEN');
`$cmd`;
$? == 0 || print "1\n";
-f "$user" && print "2\n";		# Mail saved...
-f 'ok' || print "3\n";			# ...here
&get_log(4, 'ok');
&not_log('^Received:', 5);		# Make sure Received: disappeared
&check_log('^To:', 6);			# But To: still here
&check_log('^From:', 7);
&check_log('^Subject:', 8);
&not_log('^X-None:', 9);
&check_log('MARK', 10) == 2 || print "11\n";		# Continuation line kept
&check_log('X-Long-Line:', 12);	# So is the parent field
&not_log('X-Removed-Line:', 13);
&not_log('TOKEN', 14);			# This continuation was removed
-f 'no_resync' || print "15\n";	# Ensure header not disturbed

unlink 'ok', 'no_resync', 'mail';
print "0\n";
